Bug 1427792 - RabbitMQ: Bad address when CONFIG_AMQP_ENABLE_SSL=y
Summary: RabbitMQ: Bad address when CONFIG_AMQP_ENABLE_SSL=y
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-oslo-messaging
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Victor Stinner
QA Contact: Asaf Hirshberg
URL:
Whiteboard:
Depends On: 1423593
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-01 09:00 UTC by Victor Stinner
Modified: 2018-01-16 12:24 UTC (History)
18 users (show)

Fixed In Version: python-oslo-messaging-5.17.1-2.el7ost
Doc Type: Bug Fix
Doc Text:
The Remote Procedure Call (RPC) message acknowledgement in Oslo Messaging was not thread-safe. Consequently, a race condition caused an RPC timeout in Ceilometer. The message acknowledgement in Oslo Messaging has been fixed. Now, Ceilometer responds correctly.
Clone Of: 1423593
Environment:
Last Closed: 2017-05-17 20:03:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 440205 None None None 2017-03-13 09:49:06 UTC

Comment 2 Victor Stinner 2017-03-13 14:06:13 UTC
python-oslo-messaging-5.17.1-2.el7ost contains the "rabbit: make ack/requeue thread-safe" and is now ready for tests ;-)

Comment 4 Asaf Hirshberg 2017-03-27 05:51:08 UTC
Code Verified.

Comment 8 errata-xmlrpc 2017-05-17 20:03:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.